import QtQuick 2.0

Item {
    id: item
    x: 575
    y: 150
    width: 305
    height: 72
    //objectName: id
    property string logoSrc: ""
    property string user: ""
    property string messageText: ""
    property bool animaManual: false
    property int idMessage: 1

    Image {
        id: logo
        x: 8
        y: 8
        width: 56
        height: 56
        source: logoSrc
    }


    Text {
        id: userField
        x: 95
        y: 8
        width: 199
        height: 16
        text: user
        font.pixelSize: 14
    }


    Text {
        property int index
        property bool isTag
        //property string sourceText: ""
        property string destinationText: ""

        id: messageTextid
        x: 95
        y: 24
        width: 199
        height: 40
        //text: qsTr("😋😻👽👠💼🌎⛄️🍒<html>&#128169</html> TextMessage <img weidth=10 hight=10 src='http://79325503338.bitrix24.ru/bitrix/images/emoji/1f643.svg?v=2.2.5%20title=:upside_down:'> END")
        textFormat: Text.RichText
        verticalAlignment: Text.AlignTop
        font.bold: true
        wrapMode: Text.WordWrap
        font.pixelSize: 16
        clip: true

        //text: sourceText.slice(0, ++index)
        text: messageText

       /* NumberAnimation on index {
            id: animalTypeMessage
            easing.type: Easing.Linear
            to: message.sourceText.length
            //to: message.text.length
            duration: 1000
            running: false
        }*/

    }

    Rectangle {
        id: rectangle1
        x: 0
        y: 0
        width: 305
        height: 72
        color: "#ffffff"
        opacity: 0.8
        visible: true
        z: -1
    }

    Text {
        id: text1
        x: 78
        y: -31
        width: 216
        height: 15
        color: "#767676"
        text: qsTr("Орфография и пунктуация автора сохранены")
        visible: false
        horizontalAlignment: Text.AlignRight
        font.pixelSize: 9
    }

    NumberAnimation on y {
         id: animaDropDown
         easing.type: Easing.Linear
         to: y+80
         duration: 3000
         running: false //animaManual
         //onStarted: pause(300)
         onStopped: {
             //message8.y=40
             if (y>633) {
             //console.log("y="+y)
                y=40

                 if (idQML.newLogoSrc!="" && idQML.newLogoSrc!="" && idQML.newMessageText!="")
                {
                    logoSrc=idQML.newLogoSrc
                    user=idQML.newUser
                    messageText=idQML.newMessageText
                    visible= true

                     idQML.newLogoSrc=""
                     idQML.newUser=""
                     idQML.newMessage=""
                }

                console.log('pre visible='+visible)
                //visible=false
                console.log('avter visible='+visible)
                newMessage=idMessage
                console.log("newMessage="+newMessage)

             }

             restart()
         }

     }

}
