import QtQuick 2.4
import "JScript.js" as JS



Item {
    id: idQML
    width: 1024
    height: 706
    property double side: 1
    property string title_front: ""
    property string title_back: ""
    property double nowProgress1: 0
    property double nowProgress2: 0
    property double nowProgress3: 0
    property string xSide: "3333333333"
    property string logoSrc: ""
    property int shift: 0
    property int messagesNum: 0
    property int newMessage: 1
    property string newLogoSrc: ""
    property string newUser: ""
    property string newMessageText: ""
    property string newSource: ""
    property bool onLoadMessages: true
    property int counter: 0
    property bool triggerNewMedia: false

    Timer {
        id: timerRunning
        interval: 1000; running: false; repeat: true;
        onTriggered:
        {
            JS.main();

        }
    }

    Image {
        id: image3
        x: 0
        y: 0
        width: 1024
        height: 706
        z: -1
        opacity: 1
        clip: false
        visible: false
        source: "img/utro_v1.jpg"
    }

    /*
    SequentialAnimation{
        id: animals
        running: false
        NumberAnimation {
            id: animal
            target: iactive;
            property: "dX";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }
        onRunningChanged: {
            if (iactive.dX == 0){
                //animals.stop();
                iactive.dText = xSide
                animal.from = 0;
                animal.to = -90;
                animals.start();
            }
        }
    }
*/
    Item {
        id: feed
        x: 691
        y: 36
        width: 325
        height: 633

        Message{
            id: message8
            x: 10
            y: 604
            width: 305
            height: 72
            visible: false
            idMessage: 8
        }

        Message{
            id: message7
            x: 10
            y: 524
            width: 305
            height: 72
            visible: false
            idMessage: 7
        }

        Message{
            id: message6
            x: 10
            y: 444
            width: 305
            height: 72
            visible: false
            idMessage: 6
        }

        Message{
            id: message5
            x: 10
            y: 364
            width: 305
            height: 72
            visible: false
            idMessage: 5
        }

        Message{
            id: message4
            x: 10
            y: 284
            width: 305
            height: 72
            visible: false
            idMessage: 4
        }

        Message{
            id: message3
            x: 10
            y: 204
            width: 305
            height: 72
            visible: false
            idMessage: 3
        }

        Message{
            id: message2
            x: 10
            y: 124
            width: 305
            height: 72
            visible: false
            idMessage: 2
        }

        Message{
            id: message1
            x: 10
            y: 44
            width: 305
            height: 72
            visible: false
            animaManual: false
            idMessage: 1
        }

    }

    Item {
        id: imageItem
        x: 23
        y: 109
        width: 983
        height: 589
        z: 6
        visible: false

        MessageStatic {
            id: messageMedia
            x: 340
            y: 510
            z:10
            width: 305
            height: 72
            idMessage: 8
            visible: true
        }

        Image {
            id: messageImage
            x: 2
            y: -1
            z:9
            width: 986
            height: 489
            fillMode: Image.PreserveAspectFit
            visible: true
            source: "http://prima.iactive.pro/getMedia.php?id=10"
        }

        Rectangle {
            id: rectangle1
            x: -25
            y: -137
            z: 6
            width: 1026
            height: 734
            color: "#747474"
            visible: false
            opacity: 0.7
        }

    }

    Image {
        id: image1
        x: 0
        y: 172
        width: 960
        height: 540
        fillMode: Image.PreserveAspectFit
        visible: false
        z: 100
        source: "back_media.png"
    }

    Image {
        id: image2
        x: -12
        y: 0
        width: 1024
        height: 706
        visible: true
        z: 100
        source: "back_media3.png"
    }

    Qwest {
        id: tema
        x: 23
        y: 20
        width: 978
        height: 83
        z: 7
        opacity: 1
        visible: false
        strText: ""
    }




    Component.onCompleted: {
        //JS.getShift();
        timerRunning.running = true
        JS.main();
    }
}

