import QtQuick 2.0
/*
Rectangle {
    width: 1000
    height: 52
    color: "#d5edff"
    border.color: "#ffffff"
    opacity: 0.9
    border.width: 0
    property string strText: ""
    property string strTelefon: ""
    property string strProgress: ""
    property string pathProgress: ""
    property double dW: 0
*/
Item {
        width: 1000
        height: 52
        property string strText: ""
        property string strTelefon: ""
        property string strProgress: ""
        property string pathProgress: ""
        property double dW: 0
        property string colorText: ""
        property string sizeText: "25"

    Text {
        x: 0
        y: 0
        width: 329
        height: 40
        text: qsTr(strText)
        color: colorText
        z: 1
        horizontalAlignment: Text.AlignHLeft
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: sizeText
        font.family: "Bicubik"
    }

    Text {
        x: 340
        y: 0
        width: 252
        height: 41
        color: colorText
        text: qsTr(strTelefon)
        z: 1
        horizontalAlignment: Text.AlignHLeft
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: sizeText
        font.family: "Bicubik"
    }

    Text {
        x: 877
        y: 0
        width: 83
        height: 41
        color: colorText
        text: qsTr(strProgress)
        font.bold: false
        z: 1
        horizontalAlignment: Text.AlignRight
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: sizeText
        font.family: "Bicubik"
    }

    Image {
        id: image2
        x: 610
        y: 9
        width: dW
        height: 21
        source: pathProgress
        visible: true
        opacity: 1
        fillMode: Image.TileHorizontally
    }
}

